<?xml version="1.0" encoding="UTF-8"?>

<module xmlns="urn:jboss:module:1.1" name="org.infinispan.query" slot="ispn-7.2">
    <resources>
        <resource-root path="infinispan-query.jar"/>
        <!-- Insert resources here -->
    </resources>

    <dependencies>
        <module name="javax.api" />
        <module name="javax.transaction.api" />
        <module name="org.apache.lucene" slot="4.10"/>
        <module name="org.hibernate.hql.parser" slot="ispn-7.2"/>
        <module name="org.hibernate.hql.lucene" slot="ispn-7.2"/>
        <module name="org.hibernate.search.engine" slot="5.2" export="true"/>
        <module name="org.infinispan" slot="ispn-7.2"/>
        <module name="org.infinispan.objectfilter" slot="ispn-7.2"/>
        <module name="org.infinispan.lucene-directory" slot="ispn-7.2" services="export" />
        <module name="org.infinispan.hibernate-search.directory-provider" slot="ispn-7.2" export="true" services="export"/>
        <module name="org.jboss.logging" />
    </dependencies>
</module>
